html{font-family:sans-serif;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%;-webkit-tap-highlight-color:rgba(0,0,0,0);}
table{border-collapse:collapse;border-spacing:0;}
td,th{padding:0;}
*{box-sizing:border-box;-webkit-overflow-scrolling:touch;}
body{font-family:"微软雅黑","微軟正黑體";font-size:.24rem;color:#3c3c3c;line-height:1.428;overflow: hidden;background: #000;}
input,button,select,textarea{font-family:inherit;font-size:inherit;line-height:inherit;outline: none;}
textarea{resize: none;}
body,ol,ul,h1,h2,h3,h4,h5,h6,p,th,td,dl,dd,form,fieldset,legend,input,textarea,select{margin:0;padding:0;font-weight:normal;}
img{border:0;max-width:100%;}
ul,li,ol,dl,dd,dt{list-style-image:none;list-style-position:outside;list-style-type:none;}
a{text-decoration:none;outline:none;}

.flex{display: flex;display: -webkit-flex;}
.clear{clear:both;}
.clearfix{zoom:1;}
.clearfix:after{content:'';clear:both;display:block;}
.justify-fix{display:inline-block;width:100%;height:0;overflow:hidden;}
.center-block{display:block;margin-left:auto;margin-right:auto;}
.ellipsis{overflow:hidden; white-space:nowrap; text-overflow:ellipsis;}
.show{display:block!important;}
.hide{display:none!important;}
.lockScreen{overflow:hidden;}
::-webkit-scrollbar { width: 2px; background-color: #ededed; }
::-webkit-scrollbar-thumb { background-color: #cecece; }
.rb-bg{
  width: 6.4rem;
  height: 100vh;
  margin: 0 auto;
  background: url(/img/active/2018summerback/redbag/a1.png) no-repeat;
  background-size: 6.4rem 100%;
  overflow-y: hidden;
  font-size: .2rem;
}
.top-nav{position:relative;z-index: 20;height:.8rem;font-size:.32rem;line-height:.8rem;background:#d73737;color:#fff;width:100%;text-align:center;box-shadow: 0 .1rem .2rem rgba(0,0,0,.1);}
.nav-back{display:block;position:absolute;left:.1rem;top:.18rem;z-index: 3;width:.4rem;cursor: pointer;}
.nav-share{display:block;position:absolute;right:.3rem;top:.2rem;width:.4rem;cursor: pointer;}
/*入口頁面*/
@keyframes scale1{
  50%{
    transform: scale(1.05);
  }
}
@-webkit-keyframes scale1{
  50%{
    -webkit-transform: scale(1.05);
  }
}
.rb-big-wp{
  max-width: 6.4rem;
  height: 100vh;
  margin: 0 auto;
  background: #c4000a;
}
.flex-down{
  flex-direction: column;
  -webkit-flex-direction: column;
}
.ri-hd{
  position: relative;
  height: 2.2rem;
  overflow-x: hidden;
}
.ri-rule{
  display: block;
  position: absolute;
  right: -.3rem;
  top: .3rem;
  width: 1.5rem;
  height: .5rem;
  line-height: .48rem;
  padding-left: .2rem;
  color: #faf1b6;
  background: #9c1212;
  border-radius: .3rem;
}
.ri-hd h3{
  display: none;
  font-size: .48rem;
  text-align: center;
  padding-top: 1rem;
  color: #fff;
}
.ri-hd h3 span{
  color: #faf1b6;
}
.ri-hd h3 p{
  font-size: .24rem;
}
.ri-bag-wp{
  flex: 1;
  -webkit-flex: 1;
  padding-top: .5rem;
  cursor: pointer;
}
.ri-bag{
  position: relative;
  width: 4.85rem;
  height: 6.45rem;
  background: url(/img/active/2018summerback/redbag/a2.png) no-repeat;
  background-size: 4.85rem 6.45rem;
}
.ri-get-btn,.ri-other-btn{
  display: none;
  position: absolute;
  top: 1.4rem;
  left: 1.64rem;
  width: 1.56rem;
  height: 1.56rem;
  background: url(/img/active/2018summerback/redbag/a3.png) no-repeat;
  background-size: 1.56rem 1.56rem;
  animation:scale1 .7s infinite;
  -webkit-animation:scale1 .7s infinite;
}
.ri-other-btn{
  background: url(/img/active/2018summerback/redbag/a3-1.png) no-repeat;
  background-size: 1.56rem 1.56rem;
  animation:scale1 .7s infinite;
  -webkit-animation:scale1 .7s infinite;
}
.mybag .mine{
  display: block;
}
.otherbag .others{
  display: block;
}
.ri-bag ul{
  position: absolute;
  top: 3.65rem;
  left: 50%;
  width: 3.4rem;
  height: 1.86rem;
  transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
  overflow-y: hidden;
}
.ri-bag ul li{
  height: .7rem;
}
.ri-bag ul li p{
  height: .46rem;
  line-height: .46rem;
  border-radius: .3rem;
  text-align: center;
  color: #faf1b6;
  background: #c31e1e;
}
/*幫拆*/
.rb-com-hd{
  position: relative;
  height: 3.4rem;
  overflow-x: hidden;
}
.rb-com-hd ul{
  position: absolute;
  top: .3rem;
  left: .2rem;
  width: 3.2rem;
  height: .5rem;
  overflow: hidden;
  background: #9c1212;
  color: #ecb3b3;
  border-radius: .3rem;
  text-align: center;
}
.rb-com-hd ul li{
  line-height: .5rem;
  padding: 0 .2rem;
  text-align: center;
}
.rbch-btn-wp{
  margin-top: 1.35rem;
  padding-top: .3rem;
}
.rbch-btn{
  width: 4.4rem;
  height: .95rem;
  line-height: .9rem;
  font-size: .36rem;
  color: #bb2223;
  text-align: center;
  background: url(/img/active/2018summerback/redbag/a4.png) no-repeat;
  background-size: 4.4rem .95rem;
  cursor: pointer;
  animation:scale1 .7s infinite;
  -webkit-animation:scale1 .7s infinite;
}
.no-anime{
  animation: none!important;
  -webkit-animation: none!important;
}
.rb-com-hd p{
  padding-top: .2rem;
  font-size: .28rem;
  text-align: center;
  color: #fff;
}
.rb-com-hd p span{
  color: #faf1b6;
  font-size: .36rem;
}
.rb-com-hd h3{
  display: none;
  text-align: center;
  font-size: .28rem;
  color: #fff;
  margin-bottom: .3rem;
}
.rb-com-hd h3 span{
  color: #faf1b6;
  font-size: .48rem;
}
.complete .rbch-btn-wp{
  padding-top: 0;
}
.complete .rbch-btn-wp p{
  display: none;
}
.complete .rbch-btn-wp h3{
  display: block
}
.rb-friend{
  flex: 1;
  -webkit-flex: 1;
  margin: .8rem .3rem 0;
  background: #e14342;
  padding-bottom: .4rem;
}
.a8{
  display: block;
  width: 3.35rem;
  height: .28rem;
  margin: .3rem auto 0;
}
.rb-i{
  display: inline-block;
  width: .8rem;
  height: .8rem;
  vertical-align: middle;
  margin: 0 .15rem 0 .3rem;
}
.i1{
  background: url(/img/active/2018summerback/redbag/i1.png) no-repeat;
  background-size: .8rem .8rem;
}
.i2{
  background: url(/img/active/2018summerback/redbag/i2.png) no-repeat;
  background-size: .8rem .8rem;
}
.i3{
  background: url(/img/active/2018summerback/redbag/i3.png) no-repeat;
  background-size: .8rem .8rem;
}
.i4{
  background: url(/img/active/2018summerback/redbag/i4.png) no-repeat;
  background-size: .8rem .8rem;
}
.rb-friend ul{
  flex: 1;
  -webkit-flex: 1;
  margin-top: .75rem;
  overflow-y: auto;
}
.rb-friend ul li{
  height: .8rem;
  line-height: .8rem;
  color: #fff;
  padding: 0 .24rem;
  margin-bottom: .35rem;
}
.rb-num{
  float: right;
}
.rb-num span{
  font-size: .28rem;
  color: #faf1b6;
}

/*line分享*/
.rb-shadow{
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 10;
  background: rgba(0,0,0,.7);
}
.rb-show-line{
  position: absolute;
  bottom: 0;
  left: 50%;
  z-index: 11;
  width: 3.8rem;
  height: 3.4rem;
  margin-left: -1.9rem;
}
.rb-show-line h3{
  font-size: .36rem;
  color: #faf1b6;
  text-align: center;
  margin-bottom: .5rem;
}
.share-line{
  position: relative;
  width: 1.15rem;
  height: 1.36rem;
}
.sl-tip{
  display: none;
  position: absolute;
  top: -3.6rem;
  left: 50%;
  z-index: 1;
  width: 2.8rem;
  height: 3.4rem;
  margin-left: -1.4rem;
  background: #fff;
  box-shadow: 0 0 .3rem rgba(0,0,0,.8);
}
.sl-tip:after{
  position: absolute;
  bottom: -.3rem;
  left: 50%;
  content: '';
  border: .15rem solid transparent;
  margin-left: -.15rem;
  border-top-color: #fff;
}
.sl-tip img{
  display: block;
  width: 2.4rem;
  height: 2.4rem;
  margin: .2rem auto 0;
}
.sl-tip p{
  text-align: center;
  margin-top: .1rem;
}
.share-line:hover .sl-tip{
  display: block;
}
/*開紅包*/
.rb-get-show{
  position: fixed;
  left: 50%;
  top: 50%;
  z-index: 11;
  width: 6.31rem;
  height: 7.21rem;
  margin: -3.65rem 0 0 -3.15rem;
  background: url(/img/active/2018summerback/redbag/a7.png) no-repeat;
  background-size: 6.31rem 7.21rem;
}
.rbgt-my,.rbgt-other{
  display: none;
}
.rbg-tle{
  margin-top: 2rem;
  text-align: center;
  font-size: .28rem;
  color: #bb2223;
}
.rbg-tle h3 span{
  color: #3c3c3c;
}
.rbg-tle p{
  font-size: .2rem;
}
.my .rbgt-my{
  display: block
}
.other .rbgt-other{
  display: block
}
.rbgt-my p{
  font-size: .54rem;
  font-weight: 700;
  color: #3c3c3c;
}
.rbgt-my p span{
  font-size: .2rem;
  font-weight: normal;
}
.rbgt-other p{
  margin-top: .1rem;
}
.rbg-cnt{
  margin-top: .8rem;
}
.rbg-cnt p{
  display: none;
  font-size: .28rem;
  text-align: center;
  color: #fff;
  margin-bottom: .4rem;
}
.rbg-cnt p span{
  font-size: .2rem;
}
.rbg-btn{
  display: none;
  width: 2.9rem;
  height: .61rem;
  line-height: .61rem;
  text-align: center;
  background: url(/img/active/2018summerback/redbag/a6.png) no-repeat;
  background-size: 2.9rem .61rem;
  margin: 0 auto;
  color: #bb2223;
  font-size: .28rem;
  cursor: pointer;
  animation:scale1 .7s infinite;
  -webkit-animation:scale1 .7s infinite;
}
.my .rbg-cnt p{
  display: block;
}
.my .btn-share{
  display: block;
}
.other .btn-login{
  display: block;
}
.other .rbg-cnt{
  margin-top: 2rem;
}
/*彈框*/
.que-shadow{
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 20;
  background: rgba(0,0,0,.7);
  color: #3c3c3c;
}
.que-pop{
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 21;
  min-width: 4.4rem;
  min-height: 2.9rem;
  transform: translate(-50%,-50%);
  -webkit-transform: translate(-50%,-50%);
  border-radius: 5px;
  background: #fff;
  text-align: center;
  padding-bottom: .3rem;
}
.que-pop .tle{
  height: .6rem;
  line-height: .6rem;
  font-size: .2rem;
  background-image: linear-gradient(-30deg, 
    #fb5382 0%, 
    #fc635c 100%), 
  linear-gradient(
    #a25858, 
    #a25858);
    color: #fff;
  padding-left: .2rem;
  text-align: left;
  border-radius: 5px 5px 0 0;

}
.que-pop .cnt{
  padding: .4rem .2rem;
  font-size: .22rem;
  text-align: center;
}
.qp-btn-wp{
  display: flex;
  display: -webkit-flex;
  justify-content: space-around;
  -webkit-justify-content: space-around;
  width: 100%;
  margin-top: .2rem;
  padding: 0 .2rem;
}
.qp-btn{
  display: block;
  width: 1.8rem;
  height: .52rem;
  line-height: .52rem;
  background-color: #fc635c;
  border-radius: 5px;
  color: #fff;
  font-size: .2rem;
  text-align: center;
  cursor: pointer;
}
.qp-btn.cls{
  background: #edeeed;
  color: #3c3c3c;
}
/*规则*/
.que-rule{
  flex: 1;
  -webkit-flex: 1;
}
.que-rule h2{
  font-size: .36rem;
  margin-bottom: .4rem;
  text-align: center;
}
.shadow{
  width: 100%;
  height: 100vh;
  background: rgba(0,0,0,.7);
  color: #fff;
  padding: .3rem .3rem 0;
  overflow-y: auto;
}
.que-rule ul{
  padding: 0 .2rem .8rem .3rem;
}
.que-rule li{
  font-size: .22rem;
  margin-bottom: .36rem;
  text-align: justify;
  list-style-type: decimal;
}
/*loading*/
.use-tip{
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 22;
  height: .6rem;
  line-height: .6rem;
  color: #fff;
  background: rgba(0,0,0,.65);
  border-radius: .1rem;
  padding: 0 .2rem;
  text-align: center;
  transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
  white-space: nowrap;
}
















